boxplotBeadStrips <- 
function(x, log2=TRUE, stripcolor=c("red", "green"), names=NULL, ...){
if(is(x, "LumiBatch")){
x.strips <- getBeadStrips(x)
x.strip1 <- x.strips$strip1
x.strip2 <- x.strips$strip2
strip1.len <- length(featureNames(x.strip1))
strip2.len <- length(featureNames(x.strip2))
x.plot <- rbind(exprs(x.strip1), exprs(x.strip2))
if(is.null(names)){
	samples.num <- length(sampleNames(x))
	names2 <- rep(sampleNames(x), rep(2, samples.num))
	names <- paste(names2, c("_1", "_2"), sep="")
}
}

if(is(x, "matrix")){
x.strip1 <- x[as.numeric(rownames(x)) < 1e8, ]
x.strip2 <- x[as.numeric(rownames(x)) >= 1e8, ]
strip1.len <- nrow(x.strip1)
strip2.len <- nrow(x.strip2)
x.plot <- rbind(x.strip1, x.strip2)
if(is.null(names)){
	samples.num <- ncol(x)
	names2 <- rep(colnames(x), rep(2, samples.num))
	names <- paste(names2, c("_1", "_2"), sep="")
}
}

if(log2) x.plot=log2(x.plot)

f <-  factor(paste(col(x.plot), c(rep("_1", strip1.len), rep("_2", strip2.len)), sep=""))
f <- factor(f, levels=unique(f))

boxplot(as.vector(x.plot) ~ f , names=names, col=stripcolor, ...)
}

