#Empirical variance stabilization transformation
evst <- function(object, offset=4){
x <- exprs(object)
s <- se.exprs(object)*sqrt(beadNum(object))
narray <- ncol(x)
for(i in 1:narray){
	fit <- lowess(log(x[,i]), log(s[,i]/x[,i]), f=0.3)
	fit$x <- exp(fit$x)
	fit$y <- exp(fit$y)
	invs <- 1/(fit$x * fit$y)
	mpoints <- (invs[-length(fit$y)] + invs[-1])/2
	tvalue <- cumsum(diff(fit$x) * mpoints)
	tvalue <- c(0, tvalue)
	tvalue <- tvalue*(16-offset)/max(tvalue)+offset
	x[order(x[, i]), i] <- tvalue
}
exprs(object) <- x
return(object)
}
