readallctrl <- function(filename) 
{
if(length(grep(".txt", filename, fixed=TRUE)) == 1) x <- read.delim(filename, check.names=FALSE, stringsAsFactors=FALSE)
else if(length(grep(".csv", filename, fixed=TRUE)) == 1) x <- read.csv(filename, check.names=FALSE, stringsAsFactors=FALSE)
else stop("File format not recognized. Please provide .txt or .csv file.")

col.indices <- grep("AVG_Signal", colnames(x), fixed=TRUE)
if(length(col.indices) == 0) stop("\"AVG_Signal\" columns were not found from the control data.\n")
y <- x[, col.indices]
colnames(y) <- unlist(strsplit(colnames(y), ".AVG_Signal", fixed=TRUE))

if(length(grep("TargetID", colnames(x), fixed=TRUE)) == 0) stop("\"TargetID\" column was not found from the control data.\n")
targetids <- x$TargetID

probeids <- NA
if(length(grep("ProbeID", colnames(x), fixed=TRUE)) != 0) probeids <- x$ProbeID

return(data.frame(controlType=targetids, ProbeID=probeids, y, check.names=FALSE, stringsAsFactors=FALSE))
}
