readnegctrl <- function(filename) 
{
if(length(grep(".txt", filename, fixed=TRUE)) == 1) x <- read.delim(filename, check.names=FALSE)
else if(length(grep(".csv", filename, fixed=TRUE)) == 1) x <- read.csv(filename, check.names=FALSE)
else stop("File format not recognized. Please provide .txt or .csv file.")

row.indices <- grep("negative", x$TargetID, ignore.case=TRUE)
if(length(row.indices) == 0) stop("No negative control probes found.")

col.indices <- grep("AVG_Signal", colnames(x), fixed=TRUE)

y <- x[row.indices, col.indices]
y <- as.matrix(y)

rownames(y) <- x$ProbeID[row.indices]
colnames(y) <- unlist(strsplit(colnames(y), ".AVG_Signal", fixed=TRUE))
return(y)
}
