\name{boxplotBeadStrips}
\alias{boxplotBeadStrips}
\title{Boxplot for Strip Data for MouseWG-6 BeadChip}
\description{Produce a boxplot for the strip data}
\usage{
boxplotBeadStrips(x, log2=TRUE, stripcolor=c("red", "green"), names=NULL, \dots)
}
\arguments{
  \item{x}{object of class \code{"LumiBatch"} or matrix containing expression data for Illumina expression bead chips.}
  \item{log2}{if true, data will be log2-transformed before plotting}
  \item{stripcolor}{specifiy the colors for the two strips used in the plot}
  \item{names}{names of groups in the boxplot}
  \item{\dots}{arguments to be passed to the boxplot() function}
}
\details{Each group in the boxplot represents a strip. The goups are plotted in the same order as the columns of
the expression matrix. If log2 is true(default), the expression value is transformed to log2 scale before creating the plot. 
And by default, the strip names in the plot are given by sample names suffixed by \code{"\_1"} (first strip) or \code{"\_2"} (second strip).
}
\value{See return value from the \code{\link{boxplot}} function}
\author{Wei Shi and Gordon K Smyth}
