\name{fitmixture}
\alias{fitmixture}
\title{Fit Mixture Model by Non-Linear Least Squares}
\description{Fit Mixture Model by Non-Linear Least Squares}
\usage{
fitmixture(log2e,mixprop,niter=4,verbose=FALSE)
}
\arguments{
  \item{log2e}{object of matrix containing log2 transformed expression values}
  \item{mixprop}{a vector of proportions of one of the two reference samples in all the mixed samples}
  \item{niter}{number of iterations}
  \item{verbose}{verbose output if true}
}
\details{
Fits a mixture model to log2 expression values.
The expected value of \code{log2e} for each gene are assumed to be of the form
\code{mixprop*Y1 + (1-mixprop)*Y2}
where \code{Y1} and \code{Y2} are the log2 expression levels of the gene in the two reference samples being mixed.
The \code{mixprop} values are the same for each gene but \code{Y1} and \code{Y2} are specific to the gene.
The function estimates \code{A=(Y1+Y2)/2} and \code{M=Y2-Y1} for each gene.
}
\value{List with three components:
\item{A}{average log expression of the two reference samples for each gene}
\item{M}{estimated difference in log expression between the two reference samples for each gene}
\item{stdev}{standard deviation of the residual term in the mixture model for each gene}
}
\author{Gordon K Smyth}
\references{
Holloway, A. J., Oshlack, A., Diyagama, D. S., Bowtell, D. D. L., and Smyth, G. K. (2006).
Statistical analysis of an RNA titration series evaluates microarray precision and sensitivity on a whole-array basis.
\emph{BMC Bioinformatics} 7, Article 511.
\url{http://www.biomedcentral.com/1471-2105/7/511}
}

