\name{getBeadStrips}
\alias{getBeadStrips}
\title{Separate the Array Data into Strips for MouseWG-6 BeadChip}
\description{Extract strip data from the array data.
}
\usage{
getBeadStrips(x)
}
\arguments{
  \item{x}{object of class "LumiBatch" containing expression data for Illumina expression bead chips.}
}
\details{This function extracts the strip data from a "LumiBatch" object which contains the array data. 
}
\value{A list with two components containing the data for the two strips respectively. Each component
is a "LumiBatch" object. The two components have the names "strip1" and "strip2" respectively.
}
\author{Wei Shi}
\examples{
\dontrun{
x.strips <- getBeadStrips(x) # x is a "LumiBatch" object
x.strip1 <- x.strips$strip1
x.strip2 <- x.strips$strip2
}
}
