\name{readallctrl}
\alias{readallctrl}
\alias{readnegctrl}
\title{Read control data for Illumina Whole Genome Expression BeadChips}
\description{Read Illumina control data}
\usage{
readallctrl(filename)
readnegctrl(filename)
}
\arguments{
  \item{filename}{a character string giving the file name of control data}
  }
\details{
Function \code{readnegctrl} extracts negative control data from the control data output from BeadStudio,
which comprises seven types of control probes including ``biotin'', ``cy3\_hyb'', ``labelling'', ``high\_stringency\_hyb", 
``low\_stringency\_hyb", ``housekeeping" and ``negative". 

Function \code{readallctrl} reads in all control data.
}
\value{ \code{readnegctrl} returns a \code{matrix} object with row names being the identifiers of negative control probes and column names being the sample names.

\code{readallctrl} returns a \code{data.frame} object.
The first two columns have names \code{controlType} and \code{ProbeID}, indicating types and identifiers of control probes respectively.
}
\author{Wei Shi and Gordon K Smyth}
