\name{read.illumina}
\alias{read.illumina}
\title{Read Illumina data}
\description{Read multiple batches of Illumina data}
\usage{
read.illumina(targets, path = NULL, ctrlpath = NULL, File=NULL, CtrlFile=NULL, verbose=TRUE)
}
\arguments{
  \item{targets}{ data frame returned by \code{\link[limma]{readTargets}} function.}
  \item{path}{ path to the regular profiles.}
  \item{ctrlpath}{ path to the control profiles.}
  \item{File}{ character vector containing profile names for each array.}
  \item{CtrlFile}{ character vector containing control profile names for each array.}
  \item{verbose}{ verbose output if \code{TRUE}}
  }
\details{
Illumina BeadStuio outputs regular probe intensities and control probe intensities into two separate files (regular profile and control profile).
This function can read in multiple batches of data (multiple profiles) at a time and save them to a \code{LumiBatch} object.

Regular profile names and control profile names could be included in the columns of \code{target} with the names \code{File} and \code{CtrlFile} respectively.
Or they could be provided through parameters of this function \code{File} and \code{CtrlFile} respectively.
Profile names provided through the parameters will override the profile names in \code{target}.

If control profile names are provided, \code{\link{readallctrl}} will be called to read in all control data .
Control data will be saved to the \code{controlData} slot of a \code{LumiBatch} object.
}
\value{ 
A \code{LumiBatch} object. Order of samples in this object is the same with the sample order in \code{targets}.
}
\author{Wei Shi and Gordon K Smyth}
\seealso{read.ilmn in the limma package}
